/* © SRSoftware 2025 */
package de.srsoftware.umbrella.user.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.user.model.ForeignLogin;
import de.srsoftware.umbrella.user.model.LoginService;
import java.util.List;

public interface LoginServiceDb {
	String delete(String serviceName) throws UmbrellaException;
	long getUserId(String loginService, String foreignUserId) throws UmbrellaException;
	List<ForeignLogin> listAssignments(long userId) throws UmbrellaException;
	List<LoginService> listLoginServices() throws UmbrellaException;
	LoginService loadLoginService(String id) throws UmbrellaException;
	ForeignLogin save(ForeignLogin foreignLogin) throws UmbrellaException;
	LoginService save(LoginService service) throws UmbrellaException;
	ForeignLogin unlink(ForeignLogin of) throws UmbrellaException;
}
